### Method

# St Widget paint_background

#### Declaration [src]

    void
    st_widget_paint_background (
      StWidget* widget,
      ClutterPaintNode* node,
      ClutterPaintContext* paint_context
    )

#### Description [src]

Paint the background of the widget. This is meant to be called by subclasses of StWidget that need to paint the background without painting children.

#### Parameters

`node`

  Type: `ClutterPaintNode`

  No description available.

  The data is owned by the caller of the method.

`paint_context`

  Type: `ClutterPaintContext`

  No description available.

  The data is owned by the caller of the method.